Stream run events for multiple workflows
SSE endpoint that fans the per-workflow run channels for a set of workflow ids into one stream. Pass ids via the comma-separated `ids` query param (max 24). Inaccessible ids are silently dropped.
GET
/v1/workflow-runs/stream
SSE endpoint that fans the per-workflow run channels for a set of workflow ids into one stream. Pass ids via the comma-separated `ids` query param (max 24). Inaccessible ids are silently dropped.
Query Parameters
ids
string
required
query
Comma-separated workflow IDs (max 24)
Responses
200
SSE stream with workflow run events
text/event-stream
400
Bad Request
curl -X GET 'https://api.example.com/v1/workflow-runs/stream?ids=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/workflow-runs/stream?ids=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/workflow-runs/stream?ids=string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/workflow-runs/stream?ids=string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
"<string>"
API Playground
Try this endpoint
GET
/v1/workflow-runs/stream
